# hurbis-ui-v1
Biblioteca com componentes base de interface de usuário para AngularJS em TypeScript.

### Instalação:
```bash
$ npm install hurbis-ui-v1
```
---
##### Referências
O arquivo <b>hurbis-ui-v1.dependencia.js</b> é opcional. 
Para evitar referenciar inúmeras bibliotecas, o arquivo contém todas as dependências abaixo agrupadas:
<br>
"angular-animate": "1.7.2"<br>
"angular-aria": "1.7.2"<br>
"angular-block-ui": "0.2.2"<br>
"angularjs-toaster": "2.2.0"<br>
"angular-messages": "1.7.2"<br>
"angular-ui-router": "0.4.3" --> Ionic v1 não suporta versões superiores a esta<br>
"mobile-detect": "1.4.2"<br>

Uma vez referenciado o arquivo <b>hurbis-ui-v1.dependencia.js</b> 
é recomendável referenciar também o arquivo <b>hurbis-ui-v1.dependencia.css</b>, 
pois nele está contido os arquivos visuais:<br>
angular-block-ui.css<br>
toaster.css
<br>*Estes arquivos visuais são opcionais caso queira personalizar as classes do css.*

A dependência <b>hurbis-comum-v1</b> não está incorporada.